Description

The geoprocesses are executable only after loading a layer. So geoalgorithms such "Random vector layer" or "Random DEM" are not
usable in an empty view. It seems due to the predefined extent:

WARN AWT-EventQueue-0 es.unex.sextante.core.SextanteLogHandler - 
java.lang.NullPointerException
    at org.gvsig.geoprocess.lib.sextante.core.DefaultInputFactory.getPredefinedExtents(DefaultInputFactory.java:105)
    at es.unex.sextante.gui.algorithm.AnalysisExtentPanel.getJComboBoxViews(AnalysisExtentPanel.java:388)
    at es.unex.sextante.gui.algorithm.AnalysisExtentPanel.getJPanelAnalysisExtentOptions(AnalysisExtentPanel.java:289)
    at es.unex.sextante.gui.algorithm.AnalysisExtentPanel.initGUI(AnalysisExtentPanel.java:105)
    at es.unex.sextante.gui.algorithm.AnalysisExtentPanel.<init>(AnalysisExtentPanel.java:92)
    at es.unex.sextante.gui.algorithm.AlgorithmDialog.getAnalysisExtentPanel(AlgorithmDialog.java:445)
    at es.unex.sextante.gui.algorithm.AlgorithmDialog.initGUI(AlgorithmDialog.java:161)
    at es.unex.sextante.gui.algorithm.AlgorithmDialog.<init>(AlgorithmDialog.java:136)
    at es.unex.sextante.gui.core.DefaultGUIFactory.showAlgorithmDialog(DefaultGUIFactory.java:105)
    at es.unex.sextante.gui.toolbox.AlgorithmsPanel.executeSelectedAlgorithm(AlgorithmsPanel.java:491)
    at es.unex.sextante.gui.toolbox.AlgorithmsPanel$2.mousePressed(AlgorithmsPanel.java:226)
    at java.awt.AWTEventMulticaster.mousePressed(Unknown Source)
    [...]

Associated revisions
Revision 682 - 05/12/2015 12:44 PM - Miguel Company

refs #3379
Los radiobutton y comboboxes de los geoprocesos que utilizan extensiones de una vista o de alguna capa aparecen desactivados cuando no hay una
vista definida o no hay ninguna capa cargada.

Revision 153 - 05/12/2015 12:44 PM - Miguel Company

refs #3379
Los radiobutton y comboboxes de los geoprocesos que utilizan extensiones de una vista o de alguna capa aparecen desactivados cuando no hay una
vista definida o no hay ninguna capa cargada.
History
#1 - 04/21/2015 01:04 PM - Álvaro Anguix
- Assignee set to Francisco Díaz Carsí

#2 - 04/29/2015 05:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2309
- Assignee changed from Francisco Díaz Carsí to Miguel Company

#3 - 05/05/2015 12:53 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2309 to 2.2.0-2311-rc2

#4 - 05/05/2015 12:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2310

#5 - 05/07/2015 09:45 AM - Miguel Company
- Status changed from New to In progress

#6 - 05/08/2015 09:48 AM - Miguel Company
- Status changed from In progress to New

#7 - 05/08/2015 12:24 PM - Miguel Company
- Status changed from New to In progress

#8 - 05/12/2015 12:47 PM - Miguel Company
- Status changed from In progress to Fixed

#9 - 05/19/2015 07:50 PM - Antonio Falciano
- Status changed from Fixed to Closed
